import { SyncFunctionValidator } from '../Schema';
import { ErrorLike } from '../Error';
export declare function ContentString(input: unknown): string;
export declare function TrimString(input: unknown): string;
export declare function StringRange(minLength: number | null, maxLength: number | null, error?: ErrorLike): SyncFunctionValidator<string, [unknown]>;
export declare function StringMatch(regex: RegExp, error?: string | Error): SyncFunctionValidator<string, [unknown]>;
