import { SyncFunctionValidator } from '../Schema';
import { ErrorLike } from '../Error';
export declare function Equals<T>(value: T, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
export declare function GreaterThan<T>(value: T, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
export declare function GreaterThanEqual<T>(value: T, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
export declare function LessThan<T>(value: T, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
export declare function LessThanEqual<T>(value: T, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
export declare function Between<T>(minValue: T | null, maxValue: T | null, error?: ErrorLike): SyncFunctionValidator<T, [unknown]>;
